MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Report Command ResultReport Shadow State
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceFleet

Report Command Result

POST
/v1/fleet/command-result

Header Parameters

authorization?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/fleet/command-result" \  -H "Content-Type: application/json" \  -d '{    "bundle_deployment_id": "3f50ce4d-9416-45b2-be13-d04a57173f1e",    "kind": "string",    "command_id": "string",    "status": "string"  }'
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Fleet

Endpoints in the Fleet group.

Report Shadow State

Next Page

bundle_deployment_id*Bundle Deployment Id
Formatuuid
kind*Kind
command_id*Command Id
status*Status